## org.gnu.gtk
Class WindowType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.WindowType

public class WindowType
extends Enum

Field Summary
`static WindowType` `POPUP`
`static WindowType` `TOPLEVEL`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`WindowType` `and(WindowType other)`
`static WindowType` `intern(int value)`
`WindowType` `or(WindowType other)`
`boolean` `test(WindowType other)`
`WindowType` `xor(WindowType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOPLEVEL

    public static final WindowType TOPLEVEL

### POPUP

    public static final WindowType POPUP

Method Detail

### intern

    public static WindowType intern(int value)

### or

    public WindowType or(WindowType other)

### and

    public WindowType and(WindowType other)

### xor

    public WindowType xor(WindowType other)

### test

    public boolean test(WindowType other)